---
title: "Afternoon Wrap-Up"
teaching: 5
exercises: 15
questions:
- "What have we learned?"
objectives:
- "Understand overnight homework."
- "Explain pros and cons of 'one up, one down' feedback."
keypoints:
- "Use 'one up, one down' to get wide-ranging feedback."
---

As homework overnight, please:

1.  Read our [operations guide]({{ site.swc_site }}/workshops/operations/) and the checklists it links to.
    These recommendations and how-to guides summarize what we have learned (often the hard way)
    about organizing and running workshops.
    When you arrive tomorrow, we will ask you to add one question about our operations to a list.
    We will then do our best to answer all of those questions during the day.

2.  Read "[Software Carpentry: Lessons Learned]({{ page.root }}/files/papers/wilson-lessons-learned-2016.pdf)",
    which summarizes what we have learned over 18 years of teaching basic computing skills to researchers.

3.  Prepare for the live coding exercises.
    Pick an episode from an existing Software or Data Carpentry lesson and read through it carefully.
    Tomorrow, you will use this to practice live coding for 5 minutes in groups of three.
    Your group members will comment on the delivery and content.
    The episodes we recommend were listed in the welcome message
    sent to you before the start of this course, and are:
    *   Data Carpentry
        *   Faceting and Clustering in OpenRefine: <{{ site.dc_site }}/OpenRefine-ecology-lesson/01-working-with-openrefine.html>
        *   Basic Queries in SQL: <{{ site.dc_site }}/sql-ecology-lesson/01-sql-basic-queries.html>
        *   Starting with Data in R: <{{ site.dc_site }}/R-ecology-lesson/02-starting-with-data.html>
        *   Starting with Data in Python: <{{ site.dc_site }}/python-ecology-lesson/01-starting-with-data>
    *   Software Carpentry
        *   Working with Files and Directories in the Unix Shell: <{{ site.swc_pages }}/shell-novice/03-create/>
        *   Tracking Changes in Git: <{{ site.swc_pages }}/git-novice/04-changes/>
        *   Selecting Data in SQL: <{{ site.swc_pages }}/sql-novice-survey/01-select/>
        *   Repeating Actions with Loops in Python: <{{ site.swc_pages }}/python-novice-inflammation/02-loop/>
        *   Exploring Data Frames in R: <{{ site.swc_pages }}/r-novice-gapminder/05-data-structures-part2/>

> ## End-of-Day Feedback
>
> We frequently ask workshop participants to give us feedback at the end
> of each day using a technique called "one up, one down".  The
> instructor asks the learners to alternately give one positive and one
> negative point about the day, without repeating anything that has
> already been said.  This requirement forces people to say things they
> otherwise might not: once all the "safe" feedback has been given,
> participants will start saying what they really think. The instructor
> writes down the feedback in the Etherpad or a text editor,
> but is not supposed to comment on the feedback while collecting it.
>
> When called upon by the instructor, add one positive or one negative
> point to the growing list *without* repeating anything that has
> already been said.
{: .callout}

> ## Reflecting on the Day
> 
> Before we wrap up for the day, take a moment to think over 
> everything we covered today.  On a piece of paper, write 
> down something that captures what you want to remember about 
> the day.  The trainers won't look at this - it's just for you.  
> 
> If you don't know where to start, consider 
> the following list for a starting point: 
> 
> * draw a concept map, connecting the material
> * draw pictures or a comic depicting one of the day's concepts
> * write an outline of the topics we covered
> * write a paragraph or “journal” entry about your 
> exeperience of the training today
> * write down one thing that struck you the most
>
{: .challenge}
