---
title: "Afternoon Wrap-Up"
teaching: 30
exercises: 15
questions:
- "What have we learned?"
- "What do we do next?"
objectives:
- "Understand final steps required to qualify as an instructor."
- "Evaluate the utility of the instructor training workshop."
- "Recognize that training was valuable, useful, and appreciated."
keypoints:
- "Final steps to qualify are to make a contribution, take part in a discussion, and do a teaching demo."
---

## Instructor Checkout

The final three steps in qualifying as an instructor are to:

1.  Make a contribution to a lesson's content, exercises, or instructor's guide by doing **one** of the following:
    1.  Submit a change request to fix an existing issue.
    2.  Proof-read a lesson and add a new issue describing something to be improved.
    3.  Provide substantive feedback on an existing issue or pull request.
2.  Take part in a [discussion session][discussion] with experienced instructors.
3.  Do a 5-minute live coding demo.

[This page]({{ page.root }}/checkout/) explains the procedure in detail;
please review it with your instructor before you leave.

## Provide Feedback

We frequently ask for summary feedback at the end of each day.
The instructors ask the learners to alternately give one positive and one negative point about the day,
without repeating anything that has already been said.
This requirement forces people to say things they otherwise might not:
once all the "safe" feedback has been given,
participants will start saying what they really think.

[Minute cards]({{ page.root }}/06-summarize/) are anonymous;
the alternating up-and-down feedback is not.
Each mode has its strengths and weaknesses, and by providing both, we hope to get the best of both worlds.

## One Up, One Down

Provide one up, one down feedback on the entire two-day course.

Just as in our regular workshops,
we collect post-instructor-training-workshop feedback.
Your participation will help us evaluate the efficacy of this training
and improve the content and delivery of the lesson materials.

## Post Workshop Surveys

Assessment is very important to us! Please take 5 minutes to complete this [five-minute post-workshop survey]({{site.training_post_survey}}).


## Thank You

Thank you for taking part in this instructor-training workshop.
We hope it was a valuable and enjoyable experience,
and we look forward to your continued involvement in the Software and Data Carpentry community.

[discussion]: http://pad.software-carpentry.org/instructor-discussion
