---
layout: page
title: "Extra Exercises"
permalink: /exercises/
---

## Terms

> ## Something to Think About
>
> Throughout the day, take note of how this training is structured.
> What pieces exemplify the situated learning perspective,
> i.e., how are you, as an instructor-in-training, being brought into a new community of practice?
> Are there any places where we are using the cognitivist ideas/techniques described later in the training?
{: .discussion}

> ## Who Decides?
>
> In Littky and Grabelle's *[The Big Picture: Education is Everyone's Business][amazon-big-picture]*,
> Kenneth Wesson wrote,
> "If poor inner-city children consistently outscored children from wealthy suburban homes on standardized tests,
> is anyone naive enough to believe that we would still insist on using these tests as indicators of success?"
> What are examples in your own experience of "objective" assessments that reinforce the status quo?
{: .challenge}

## Mental Models

> ## Modeling Instruction
>
> There have been many "models" of teaching/learning in the past.  What
> model do you currently use (sub-consciously or consciously)?
{: .challenge}

> ## Confronting the Contradiction
>
> Describe a misconception you have encountered in your own learning or teaching
> and how to get learners to confront it.
{: .challenge}

## Performance and Feedback

> ## The Two-Dimensional You
>
> If you were a cartoon character teacher, who would you be?  What does that say about your
> teaching style?
{: .discussion}

> ## Feedback on Feedback
>
> Watch either [this video][scipy-video-1] (8:40)
> or [this one][scipy-video-2] (11:42).
> Take notes about the presentation,
> and divide those into four groups
> based on whether they are positive or negative
> and whether they are about the content (what was said)
> or the presentation (how it was said, e.g., body language).
> Compare your notes with those made by other people,
> and with the feedback given by your instructor.
{: .challenge}

> ## Feedback on Yourself, Part II
>
> Later in the training,
> repeat the first challenge exercise; however, when it comes time to give feedback,
> use the same 2x2 scheme in the previous challenge.
{: .challenge}

> ## Learn More About Feedback
>
> Read Gormally et al's "[Feedback about Teaching in Higher Ed]({{ page.root }}/files/papers/gormally-teaching-feedback-2014.pdf)"
> and discuss ways you could make peer-to-peer feedback
> a routine part of your teaching.
> You may also enjoy Gawande's "[Personal Best](http://www.newyorker.com/magazine/2011/10/03/personal-best)",
> which looks at the value of having a coach.
{: .challenge}

## Cognitive Load

> ## Faded Examples
>
> Construct a 3-step faded example to introduce an idea of your choice.
> What problem-solving strategy does it teach?
{: .challenge}

## Motivation

> ## Motivational Checklist
>
> Compare one of the existing Data Carpentry or Software Carpentry lesson episodes
> to the motivational checklist presented earlier.
> What is the lesson doing (if anything) to engage learners
> and convince them its material is worth mastering?
{: .challenge}

> ## Personal Story About Demotivation
>
> Write a paragraph or two about something that happened in your educational career
> that demotivated you, and explain what could have been done afterward to fix it.
> After everyone has completed, draw out common demotivational themes.
{: .challenge}

> ## What Do You Believe About Teaching? Challenge
>
> Complete the [Teaching Perspectives Inventory][tpi].
> Are you surprised about what it says about your view of teaching?
{: .challenge}

> ## Thought Record
>
> Remember a time when you felt like you didn't know what you were doing.
> Describe the emotions that you felt (such as sad, anxious, scared).
>
> *   Where were you? What were you doing? With whom?
> *   What thoughts were going through your mind at this time?
> *   What facts or evidence support these thoughts?
> *   What facts or evidence do not support these thoughts?
>
> Write an alternative thought that takes this evidence into account.
> How do you feel about this situation now?
{: .challenge}

## Learning Objectives

> ## Improving Objectives
>
> Are the following learning objectives strong or weak?
> How could you improve some of the weak objectives?
>
> *   Learn what a Python library is and what it can be used for.
> *   Be able to use `dplyr` and provide simple examples.
> *   Understand the importance of using version control.
> *   Understand data slicing/manipulation.
{: .challenge}


> ## Classify Learning Objectives
>
> Choose one topic from a [Data Carpentry]({{ site.dc_site }}/lessons/)
> or [Software Carpentry]({{ site.swc_site }}/lessons/) lesson
> lesson and classify its learning objectives according to their level in Bloom's Taxonomy.
{: .challenge}


> ## Develop Learning Objectives
>
> In groups of 2-4,
> choose one of the following topics
> (or something else that you might explain to a senior high school class)
> and develop learning objectives for a 10-minute introductory lesson on it.
> Compare your learning objectives to those developed by other groups:
> how easy or hard would it be for an independent observer
> to determine whether your objectives or the other groups' had been achieved?
>
> *   The difference between velocity and momentum.
> *   Volcanic, fold, and block mountain formation.
> *   The gambler's fallacy in statistics.
{: .challenge}

> ## Summing Up
>
> You have been asked to interview an undergraduate who wants to work with your group for the summer.
> What task could you ask her to do that would tell you whether she has the technical skills the job requires?
> (Try to choose something that she could reasonably be expected to accomplish in under 15 minutes.)
> How would you describe the task to her?
> And how would you describe the criteria for completing it successfully?
{: .challenge}

[amazon-big-picture]: http://www.amazon.com/Big-Picture-Education-Everyones-Business/dp/0871209713/
[scipy-video-1]: https://vimeo.com/139316669
[scipy-video-2]: https://vimeo.com/139181120
[tpi]: http://www.teachingperspectives.com/tpi/
