---
layout: lesson
root: .
---

Over the last hundred years,
researchers have discovered an enormous amount about how people learn
and how best to teach them.
Unfortunately,
much of that knowledge has not yet been translated into common classroom practice,
while many myths about education have proven remarkably persistent.

This two-day class has two goals:

*   Introduce participants to a handful of key research findings
    and show how they can be used to help people learn better and faster.
*   Introduce participants to the teaching practices that have been adopted by
    the Software and Data Carpentry communities, and the overall philosophy
    and procedures of both organizations
    in order to prepare them to teach at Software and Data Carpentry workshops.

*Please fill in [this form][application-form] if you wish to take part in this course.
Priority is given to members of our partner organizations,
but we run several open-enrolment classes each year as well.*

The class will be hands-on throughout:
short lessons will alternate with individual and group practical exercises,
including practice teaching sessions.
Those who complete the two full days
and [some short follow-up exercises online]({{ page.root }}/checkout/)
will be certified to teach [Software Carpentry]({{ site.swc_site }})
and/or [Data Carpentry]({{ site.dc_site }}).

*   All participants in this course are required to abide by our [code of conduct][conduct].
*   There are no specific prerequisites for this training,
    but participants will benefit from having been through a Data Carpentry or Software Carpentry workshop
    so that they are familiar with our teaching techniques.
*   In particular, participants are *not* required to have any specific programming skills
    (though of course they should know enough about the subjects of one or more of our lessons
    to be able to teach them).

[Software Carpentry]({{ site.swc_site }}) has run variations on this
course since 2012 for over 500 people, and the current material
reflects the latest iteration of an ongoing process to refine what new
instructors need to know.  Feedback is welcome as an [issue][issues]
on the Github repository that hosts this site.

**These materials are freely available under a [Creative Commons license][license].**

[application-form]: https://amy.software-carpentry.org/workshops/request_training/
[conduct]: {{ page.root }}/conduct/
[license]: {{ page.root }}/license/
[issues]: {{ site.github.repository_url }}/issues
