---
layout: page
title: Setup
permalink: /setup/
training_site: https://swcarpentry.github.io/instructor-training
---

1.  Please read these two short papers, which provide a brief overview of some key evidence-based results in teaching:

    * "The Science of Learning" <{{ page.training_site }}/files/papers/science-of-learning-2015.pdf>
    * "Success in Introductory Programming: What Works?" <{{ page.training_site }}/files/papers/porter-what-works-2013.pdf>

2.  Please go to the Software Carpentry lessons page <{{ site.swc_site }}/lessons/>
    and the Data Carpentry lessons page <{{ site.dc_site}}/lessons/>,
    have a look at what we currently teach,
    and then choose *one* episode from the list at the bottom of this page and read through it carefully.
    You will be using your selected episode for several in-class exercises,
    so be sure you are comfortable with the content.

3.  We will be recording one another teaching in pairs or threes during the class,
    so please bring a cell phone or hand-held camera that can record audio and video.
    It doesn't have to be high-quality, but it should be good enough that you can understand what someone is saying.

4.  Please also bring a laptop powerful enough to teach on so that you can take part in all of the practical exercises
    (a tablet won't be sufficient).

Please note that after this course is over,
you will be asked to do three short follow-up exercises online in order to finish qualifying as an instructor:
the details are available at <{{ page.training_site }}/checkout/>.
If you have any questions about the workshop, the reading material, or anything else, please get in touch.

If you are interested in doing more reading, you may enjoy:

*   *[How Learning Works](http://www.amazon.com/How-Learning-Works-Research-Based-Jossey-Bass/dp/0470484101/)*,
    which is an excellent summary of current research in teaching and learning

*   *[Building a Better Teacher](http://www.amazon.com/Building-Better-Teacher-Teaching-Everyone/dp/0393081591/)*,
    a well-written look at why educational reforms in the past 50 years have mostly missed the mark
    and about what we should be doing instead.

*   *[Teaching What You Don't Know](http://www.amazon.com/Teaching-What-You-Dont-Know/dp/0674066170/)*,
    which is a situation many of us find ourselves in more often that we'd like.

Episodes
--------

Please read through *one* of the episodes below carefully, so that you can do some exercises based on it on the first day of the class.

**Data Carpentry**

* Faceting and Clustering in OpenRefine: <{{ site.dc_site }}/OpenRefine-ecology-lesson/01-working-with-openrefine.html>
* Basic Queries in SQL: <{{ site.dc_site }}/sql-ecology-lesson/01-sql-basic-queries.html>
* Starting with Data in R: <{{ site.dc_site }}/R-ecology-lesson/02-starting-with-data.html>
* Starting with Data in Python: <{{ site.dc_site }}/python-ecology-lesson/01-starting-with-data>

**Software Carpentry**

* Working with Files and Directories in the Unix Shell: <{{ site.swc_pages }}/shell-novice/03-create/>
* Tracking Changes in Git: <{{ site.swc_pages }}/git-novice/04-changes/>
* Selecting Data in SQL: <{{ site.swc_pages }}/sql-novice-survey/01-select/>
* Repeating Actions with Loops in Python: <{{ site.swc_pages }}/python-novice-inflammation/02-loop/>
* Exploring Data Frames in R: <{{ site.swc_pages }}/r-novice-gapminder/05-data-structures-part2/>
